### Method

# EDataBook DataBookViewWatcherMemory take_sort_fields

since: 3.50

#### Declaration [src]

    void
    e_data_book_view_watcher_memory_take_sort_fields (
      EDataBookViewWatcherMemory* self,
      EBookClientViewSortFields* sort_fields
    )

#### Description [src]

Sets `sort_fields` as fields to sort the contacts by. If `NULL`, sorts by file-as field. The function assumes ownership of the `sort_fields`.

Available since: 3.50

#### Parameters

`sort_fields`

  Type: `EBookClientViewSortFields`

  An `EBookClientViewSortFields`, or `NULL`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.